VSTGUI: IDragCallback Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IDragCallback Class Referenceabstract
Version 4.7

Drag callback interface. More...

Inheritance diagram for IDragCallback:

## Public Member Functions
virtual void | dragWillBegin (IDraggingSession *session, CPoint pos)=0
| the drag will begin
virtual void | dragMoved (IDraggingSession *session, CPoint pos)=0
| the drag was moved
virtual void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result)=0
| the drag ended
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

Drag callback interface.

An optional interface to be used when initiating a drag to know where the mouse is and what the result of the drag was.

## Member Function Documentation

virtual void dragEnded | ( | IDraggingSession * | session,
|  | CPoint | pos,
|  | DragOperation | result
| ) |  |
| pure virtual

the drag ended

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates
  result | the result of the drag

Implemented in DragCallbackFunctions, and DragCallbackAdapter.

virtual void dragMoved | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| pure virtual

the drag was moved

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implemented in DragCallbackFunctions, and DragCallbackAdapter.

virtual void dragWillBegin | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| pure virtual

the drag will begin

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implemented in DragCallbackFunctions, and DragCallbackAdapter.

The documentation for this class was generated from the following file:

- dragging.h